__all__ = [
    "corpuls2channelnames_dict",
    "LP2channelnames_dict",
    "LP_Unit_dict",
    "zoll2channelnames_dict",
    "zoll_wavetype_dict",
    "LP15_all_trend_data",
    "LP15_collected_trend_data",
]


corpuls2channelnames_dict = {
    "CCPR Position": "mech_cpr_depth_cont",
    "CCPR Force": "mech_cpr_force_cont",
    "CCPR_DEPTH": "mech_cpr_depth",
    "CCPR_FREQUENCY": "mech_cpr_freq",
    "CCPR_FORCE": "mech_cpr_force",
    "LT-ECG": "ecg_pads",
    "HR": "heart_rate_ecg",
    "CPR_DEPTH": "cc_depth_trend",
    "CPR_RATE": "cc_rate",
    "CO2": "capnography",
    "IBP_P1": "ibp_1",
    "IBP_P2": "ibp_2",
    "IBP_P3": "ibp_3",
    "IBP_P4": "ibp_4",
    "Impedance": "impedance",
    "IBP_P1_SYS": "ibp_1_sys",
    "IBP_P1_DIA": "ibp_1_dia",
    "IBP_P1_MAD": "ibp_1_map",
    "IBP_P2_SYS": "ibp_2_sys",
    "IBP_P2_DIA": "ibp_2_dia",
    "IBP_P2_MAD": "ibp_2_map",
    "IBP_P3_SYS": "ibp_3_sys",
    "IBP_P3_DIA": "ibp_3_dia",
    "IBP_P3_MAD": "ibp_3_map",
    "IBP_P4_SYS": "ibp_4_sys",
    "IBP_P4_DIA": "ibp_4_dia",
    "IBP_P4_MAD": "ibp_4_map",
    "SPCO": "spco",
    "SPHB": "sphb",
    "SPMET": "spmet",
    "TEMP1": "temperature_1",
    "TEMP2": "temperature_2",
    "pp": "heart_rate_ppg",
    "spo2": "spo2",
    "co2_ens": "etco2",
    "rr": "respiratory_rate",
    "CPR": "cc_depth",
    "EtCo2": "etco2_cont",
    "SpO2": "spo2",
    "nibp_sys": "nibp_sys",
    "nibp_dia": "nibp_dia",
    "nibp_mad": "nibp_map",
}


LP2channelnames_dict = {
    "II": "ecg_ii",
    "Impedance": "impedance",
    "Paddles (Generic)": "ecg_pads",
    "Compressions": "cc",
    "StartCPR": "start_cpr",
    "StopCPR": "stop_cpr",
    "VitalsPaddlesImpedance": "impedance_2",
    "VitalsHeartRate": "heart_rate",
    "VitalsCO2": "etco2",
    "VitalsRespRate": "respiratory_rate",
    "VitalsFICO2": "mean_inspired_co2",
    "VitalsAmbientPressure": "ambient_pressure",
    "VitalsSPO2Saturation": "spo2",
    "VitalsSPO2PulseRate": "heart_rate_ppg",
    "VitalsNIBPSystolic": "nibp_sys",
    "VitalsNIBPDiastolic": "nibp_dia",
    "VitalsNIBPMean": "nibp_map",
    "VitalsNIBPPulseRate": "heart_rate_nibp",
    "CO2": "capnography",
    "IP1": "ibp_1",
    "SpO2": "ppg",
    "Ventilations": "ventilations",
    "EtCo2": "etco2_cont",
    "VitalsIP1Lead": "vitals_ip1_lead",
    "VitalsIP1Systolic": "ibp_1_sys",
    "VitalsIP1Diastolic": "ibp_1_dia",
    "VitalsIP1Mean": "ibp_1_map",
    "CompressionsPerCPRInterval": "compressions_per_cpr_interval",
    "VentillationsPerCPRInterval": "ventillations_per_cpr_interval",
    "VentPauseDuration": "vent_pause_duration",
    "Age": "age",
    "Airway": "airway",
    "I": "ecg_i",
    "VitalsIP2Lead": "vitals_ip2_lead",
    "IP2": "ibp_2",
}


LP_Unit_dict = {
    "VitalsSPO2Saturation": "%",
    "VitalsSPO2PulseRate": "1/min",
    "VitalsNIBPSystolic": "mmHg",
    "VitalsNIBPDiastolic": "mmHg",
    "VitalsNIBPMean": "mmHg",
    "VitalsNIBPPulseRate": "1/min",
    "VitalsPaddlesImpedance": "Ohm",
    "VitalsSpCO": "%",
    "VitalsSpMet": "%",
    "VitalsHeartRate": "1/min",
    "VitalsCO2": "mmHg",
    "VitalsRespRate": "1/min",
    "VitalsFICO2": "%",
    "VitalsAmbientPressure": "mmHg",
    "VitalsIP1Systolic": "mmHg",
    "VitalsIP1Diastolic": "mmHg",
    "VitalsIP1Mean": "mmHg",
    "VitalsIP1PulseRate": "1/min",
    "VitalsIP2Systolic": "mmHg",
    "VitalsIP2Diastolic": "mmHg",
    "VitalsIP2Mean": "mmHg",
    "VitalsIP2PulseRate": "1/min",
}

zoll2channelnames_dict = {
    "Pads": "ecg_pads",
    "12-Lead I": "ecg_i",
    "12-Lead II": "ecg_ii",
    "12-Lead III": "ecg_iii",
    "12-Lead aVR": "ecg_avr",
    "12-Lead L": "ecg_l",
    "12-Lead G": "ecg_g",
    "12-Lead V": "ecg_v",
    "12-Lead V1": "ecg_v1",
    "12-Lead V2": "ecg_v2",
    "12-Lead V3": "ecg_v3",
    "12-Lead V4": "ecg_v4",
    "12-Lead V5": "ecg_v5",
    "12-Lead V6": "ecg_v6",
    "CO2 mmHg, Waveform": "capnography",
    "Spo2PI": "spo2_pi",
    "SpO2 %, Waveform": "ppg",
    "IBP 1 mmHg, Waveform": "ibp_1",
    "IBP 2 mmHg, Waveform": "ibp_2",
    "IBP 3 mmHg, Waveform": "ibp_3",
    "Filtered ECG": "ecg_filtered",
    "CPR Acceleration": "cpr_acceleration",
    "Autopulse Load": "autopulse_load",
    "Temp 1": "temperature_1",
    "Temp 2": "temperature_2",
    "Hr": "heart_rate",
    "Spo2": "spo2",
    "Fico2": "mean_inspired_co2",
    "Etco2": "etco2",
    "Resp": "respiratory_rate",
    "CompDisp": "cc_depth",
    "RelVelocity": "cc_release_velocity",
    "CompRate": "cc_rate",
    "EtCo2": "etco2_cont",
    "NibpMap": "nibp_map",
    "NibpSys": "nibp_sys",
    "NibpDia": "nibp_dia",
    "Cha1Map": "ibp_1_map",
    "Cha1Sys": "ibp_1_sys",
    "Cha1Dia": "ibp_1_dia",
    "Ch.0 Map": "ibp_0_map",
    "Ch.0 Sys": "ibp_0_sys",
    "Ch.0 Dia": "ibp_0_dia",
    "Displacement": "cc_depth_cont",
    "Pads Impedance": "impedance",
}

zoll_wavetype_dict = {
    "1": "Pads",
    "2": "12-Lead I",
    "3": "12-Lead II",
    "4": "12-Lead III",
    "5": "12-Lead aVR",
    "6": "12-Lead L",
    "7": "12-Lead G",
    "8": "12-Lead V",
    "9": "12-Lead V1",
    "10": "12-Lead V2",
    "11": "12-Lead V3",
    "12": "12-Lead V4",
    "13": "12-Lead V5",
    "14": "12-Lead V6",
    "15": "CO2 mmHg, Waveform",
    "16": "SpO2 %, Waveform",
    "18": "IBP 1 mmHg, Waveform",
    "19": "IBP 2 mmHg, Waveform",
    "20": "IBP 3 mmHg, Waveform",
    "22": "Filtered ECG",
    "30": "CPR Acceleration",
    "31": "Autopulse Load",
}

LP15_all_trend_data = [
    "VitalsSPO2Saturation",
    "VitalsSPO2PulseRate",
    "VitalsNIBPSystolic",
    "VitalsNIBPDiastolic",
    "VitalsNIBPMean",
    "VitalsNIBPPulseRate",
    "VitalsPaddlesType",
    "VitalsPaddlesImpedance",
    "VitalsPulseRateMode",
    "VitalsSpCO",
    "VitalsSpMet",
    "SharedPaceRate",
    "SharedPaceCurrent",
    "SharedPaceMode",
    "SharedSyncMode",
    "SharedQRSSensingLead",
    "SharedInternalPacerDetectionLead",
    "AnnotationText",
    "AutomaticallyCreatedAnnotation",
    "VitalsHeartRate",
    "VitalsCO2",
    "VitalsRespRate",
    "VitalsFICO2",
    "VitalsAmbientPressure",
    "PatientAlarmLimitHigh",
    "PatientAlarmLimitLow",
    "12LeadOverrideActive",
    "SharedSequenceNumber",
    "DataTransferText",
    "ReplaceBatteryXBatteryNumber",
    "VitalsIP1Lead",
    "VitalsIP1SubsystemStatus",
    "VitalsIP1Systolic",
    "VitalsIP1SystolicStatus",
    "VitalsIP1Diastolic",
    "VitalsIP1DiastolicStatus",
    "VitalsIP1Mean",
    "VitalsIP1MeanStatus",
    "VitalsIP1PulseRate",
    "VitalsIP1PulseRateStatus",
    "CompressionsPerCPRInterval",
    "VentillationsPerCPRInterval",
    "VentPauseDuration",
    "Age",
    "Airway",
    "IPLabelChangeLead",
    "IPLabelChangeChannel",
    "VitalsIP2Lead",
    "VitalsIP2SubsystemStatus",
    "VitalsIP2Systolic",
    "VitalsIP2SystolicStatus",
    "VitalsIP2Diastolic",
    "VitalsIP2DiastolicStatus",
    "VitalsIP2Mean",
    "VitalsIP2MeanStatus",
    "VitalsIP2PulseRate",
    "VitalsIP2PulseRateStatus",
    "PatientAlarmLead",
    "SASSegmentNumber",
    "SASDefibEventLink",
]


LP15_collected_trend_data = [
    "VitalsSPO2Saturation",
    "VitalsSPO2PulseRate",
    "VitalsNIBPSystolic",
    "VitalsNIBPDiastolic",
    "VitalsNIBPMean",
    "VitalsNIBPPulseRate",
    "VitalsPaddlesImpedance",
    "VitalsSpCO",
    "VitalsSpMet",
    "VitalsHeartRate",
    "VitalsCO2",
    "VitalsRespRate",
    "VitalsFICO2",
    "VitalsAmbientPressure",
    "VitalsIP1Lead",
    "VitalsIP1Systolic",
    "VitalsIP1SystolicStatus",
    "VitalsIP1Diastolic",
    "VitalsIP1DiastolicStatus",
    "VitalsIP1Mean",
    "VitalsIP1MeanStatus",
    "VitalsIP1PulseRate",
    "VitalsIP1PulseRateStatus",
    "CompressionsPerCPRInterval",
    "VentillationsPerCPRInterval",
    "VentPauseDuration",
    "Age",
    "Airway",
    "VitalsIP2Lead",
    "VitalsIP2Systolic",
    "VitalsIP2SystolicStatus",
    "VitalsIP2Diastolic",
    "VitalsIP2DiastolicStatus",
    "VitalsIP2Mean",
    "VitalsIP2MeanStatus",
    "VitalsIP2PulseRate",
    "VitalsIP2PulseRateStatus",
]
